//
//  DetailViewController.h
//  CoreDataLibraryApp
//
//  Created by Duncan Groenewald on 11/01/2014.
//  Copyright (c) 2014 OSSH Pty Ltd. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "DetailViewManager.h"

@interface CompanyDetailViewController : UIViewController <SubstitutableDetailViewController, UISplitViewControllerDelegate, UITextFieldDelegate, UITableViewDataSource, UITableViewDelegate, NSFetchedResultsControllerDelegate> {
    
    bool _edited;

}

@property (strong, nonatomic) id detailItem;
@property (strong, nonatomic) NSFetchedResultsController *fetchedResultsController;
@property (strong, nonatomic) NSFetchedResultsController *fetchedResultsControllerProj;

/// SubstitutableDetailViewController
@property (nonatomic, strong) UIBarButtonItem *navigationPaneBarButtonItem;
@property (nonatomic, retain) UINavigationBar *navigationBar;


@property (weak, nonatomic) IBOutlet UITextField *detailDescriptionTextField;
@property (weak, nonatomic) IBOutlet UIButton *saveButton;
@property (weak, nonatomic) IBOutlet UIButton *cancelButton;
@property (weak, nonatomic) IBOutlet UITableView *tableView;
@property (weak, nonatomic) IBOutlet UITableView *projTableView;

@end
