//
//  CompanyMenuTableViewController.h
//  CoreDataLibraryApp
//
//  Created by Duncan Groenewald on 13/02/2014.
//  Copyright (c) 2014 OSSH Pty Ltd. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "Macros.h"
#import "OSCDStackManager.h"
#import "OpeningViewController.h"

@interface CompanyMenuTableViewController : UITableViewController <NSFetchedResultsControllerDelegate> {
    NSArray *sectionsArray;
    NSMutableDictionary *sectionMenus;
    bool _isLoaded;
    OpeningViewController *_openingViewController;
}

@property (strong, nonatomic) id detailItem;

@property (strong, nonatomic) NSFetchedResultsController *fetchedResultsController;
@property (strong, nonatomic) NSManagedObjectContext *managedObjectContext;

@end
