//
//  MenuViewController.h
//  CoreDataLibraryApp
//
//  Created by Duncan Groenewald on 12/02/2014.
//  Copyright (c) 2014 OSSH Pty Ltd. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "Macros.h"
#import "OSCDStackManager.h"
#import "OpeningViewController.h"
#import "UpgradeViewController.h"


@interface MenuViewController : UITableViewController <UpgradeViewControllerProtocol, OSCDStackManagerProtocol> {
    
    NSArray *sectionsArray;
    NSMutableDictionary *sectionMenus;
    bool _isLoaded;
    OpeningViewController *_openingViewController;

}
@property (nonatomic, strong)NSArray *tableData;

@end
