//
//  iCloudSettingsViewController.h
//  CoreDataLibraryApp
//
//  Created by Duncan Groenewald on 24/02/2014.
//  Copyright (c) 2014 OSSH Pty Ltd. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "Macros.h"
#import "OSCDStackManager.h"
#import "DetailViewManager.h"

@interface iCloudSettingsViewController : UIViewController <SubstitutableDetailViewController> {
    IBOutlet UISwitch *icloudSetting;
    IBOutlet UIButton *rebuildButton;
}

/// SubstitutableDetailViewController
@property (nonatomic, strong) UIBarButtonItem *navigationPaneBarButtonItem;
@property (nonatomic, retain) UINavigationBar *navigationBar;


- (IBAction)switch:(id)sender;
- (IBAction)rebuild:(id)sender;

@end
