//
//  iCloudSettingsViewController.m
//  CoreDataLibraryApp
//
//  Created by Duncan Groenewald on 24/02/2014.
//  Copyright (c) 2014 OSSH Pty Ltd. All rights reserved.
//

#import "iCloudSettingsViewController.h"

@interface iCloudSettingsViewController ()

@end

@implementation iCloudSettingsViewController

- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization
    }
    return self;
}

- (void)viewDidLoad
{
    [super viewDidLoad];
    // Do any additional setup after loading the view from its nib.
    
    // Check if iCloud is being used and set switch accordingly
    [icloudSetting setOn: [[OSCDStackManager sharedManager] isCloudEnabled] animated:YES];
    rebuildButton.enabled = [[OSCDStackManager sharedManager] isCloudEnabled];
    
    [icloudSetting addTarget:self action:@selector(switch:) forControlEvents:UIControlEventValueChanged];
   // [rebuildButton addTarget:self action:@selector(rebuild:) forControlEvents:UIControlEventTouchDown];
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}
- (IBAction)switch:(id)sender  {
    FLOG(@" called");
    
    if ([[OSCDStackManager sharedManager] isCloudEnabled] != icloudSetting.on) {
        FLOG(@" Use iCloud setting changed");
        [[OSCDStackManager sharedManager] setICloudPreference:icloudSetting.on];
        [[OSCDStackManager sharedManager] setIsCloudEnabled:icloudSetting.on];
    }
}
- (IBAction)rebuild:(id)sender {
    FLOG(@" called");
    [[OSCDStackManager sharedManager] rebuildFromICloud];
}

@end
